List shared hosting accounts
Returns a paginated list of hosting accounts, each with its plan, domain, expiry_at and active add-ons.
Authorization
BearerToken AuthorizationBearer <token>
In: header
Query Parameters
per_page?|
Range
1 <= value <= 50filter[status]?string
Comma-separated status keys. Defaults to active,suspended.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/shared-hosting?filter%5Bstatus%5D=active%2Csuspended"{ "data": [ { "id": 0, "domain": "string", "billing_cycle": 0, "plan": { "id": 0, "type": "string", "key": "string", "name": "string", "vcpus": 0, "memory": 0, "disk": 0, "minimum_billing_cycle": 0, "available": true, "price": "string", "price_with_vat": "string" }, "status": "awaiting_payment", "promo_code": "string", "created_at": "2019-08-24T14:15:22Z", "expiry_at": "2019-08-24T14:15:22Z", "auto_renew": true, "settings": "string", "ip_address": { "id": 0, "ip_address": "string", "prefix": 0, "version": 0, "type": "public", "main": true, "ddos_protected": true, "gateway": "string", "floating_ip": { "id": 0, "status": "string", "server_id": 0, "server_hostname": "string", "locked": "string", "locked_at": "string", "lock_reason": "string", "billing_cycle": 0, "expiry_at": "2019-08-24T14:15:22Z", "plan": { "id": 0, "name": "string", "available": true, "price": "string", "price_with_vat": "string" }, "cancel_request": { "id": 0, "now": 0, "created_at": "2019-08-24T14:15:22Z", "refund_total": "string", "refund_executed_at": "2019-08-24T14:15:22Z" } }, "ptr": [ null ], "assigned_on": "string" }, "addons": [ { "id": "string", "name": "100mbps-unmetered", "status": "string", "quantity": "string", "amount": "string", "amount_with_vat": "string", "created_at": "string", "expiry_at": "string", "cancel_request": { "id": 0, "now": 0, "created_at": "2019-08-24T14:15:22Z", "refund_total": "string", "refund_executed_at": "2019-08-24T14:15:22Z" }, "settings": "string" } ], "cancel_request": { "id": 0, "now": 0, "created_at": "2019-08-24T14:15:22Z", "refund_total": "string", "refund_executed_at": "2019-08-24T14:15:22Z" }, "renew_amount": 0, "renew_amount_with_vat": 0 } ], "links": { "first": "string", "last": "string", "prev": "string", "next": "string" }, "meta": { "current_page": 1, "from": 1, "last_page": 1, "links": [ { "url": "string", "label": "string", "active": true } ], "path": "string", "per_page": 0, "to": 1, "total": 0 }}